Bug 45579 - unknown URI scheme in request-URI ignored
Summary: unknown URI scheme in request-URI ignored
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Core (show other bugs)
Version: 2.2.8
Hardware: All All
: P2 normal with 1 vote (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2008-08-06 05:13 UTC by Julian Reschke
Modified: 2018-11-07 21:08 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Reschke 2008-08-06 05:13:22 UTC
It seems that Apache, when parsing the absoluteURI form of a Request-URI (<http://greenbytes.de/tech/webdav/draft-ietf-httpbis-p1-messaging-latest.html#rfc.section.5.1.2>), ignores the URI scheme.

So, both

GET /foo HTTP/1.1
Host: localhost

and

GET http://localhost/foo HTTP/1.1
Host: localhost

yield the same result, which is ok, but

GET foobar://localhost/foo HTTP/1.1
Host: localhost

returns it as well, which seems to be a bug.

Note IIS 5.1 returns a 501 in that case.
Comment 1 rahul 2008-08-12 03:55:23 UTC
confirmed in solaris 11 sparc 
Comment 2 Rainer Jung 2018-02-25 21:03:59 UTC
Undo spam change
Comment 3 William A. Rowe Jr. 2018-11-07 21:08:05 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.